Bug 838013 - [whql][viostor]Job 155 BDE WLK Test failed in windows 2012 guest via HCK
[whql][viostor]Job 155 BDE WLK Test failed in windows 2012 guest via HCK
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 02:40 EDT by Min Deng
Modified: 2013-07-01 01:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 01:19:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Min Deng 2012-07-06 02:40:22 EDT
Description of problem:
The job named BDE WLK Test failed on windows 2012 via HCK
Version-Release number of selected component (if applicable):
virtio-win-prewhql-0.1-29
How reproducible:
Always,
Steps to Reproduce:
1.Boot up guest with the following CLI
  /usr/libexec/qemu-kvm -m 6G -smp 4 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2012.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:13:15:21:3f:41 -uuid 7606f87e-35e2-42ab-a4e6-a4835c8bfee0 -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win2012,server,nowait -mon chardev=111a,mode=readline -rtc base=localtime,clock=host,driftfix=slew -vnc :1 -bios /usr/share/seabios/bios-pm.bin
2.QE left 8G disk space beforehand while installing OS 
3.Go to device manager and format it to four disks (with virtio block driver installed)
4.submit jobs on HCK 
  
Actual results:
The job can pass

Expected results:
The job always failed

Additional info:
An piece of error logs,
  Failed 
 Start Test 7/6/2012 1:14:14.004 PM BdeWlkTestBeforeRestart::BdeWlkTDataVolumeTest 
WexProperty 7/6/2012 1:14:14.004 PM Architecture WexValue x64 
 
WexProperty 7/6/2012 1:14:14.004 PM OriginalName WexValue C:\WLK\JobsWorkingDir\Tasks\WTTJobRunA9CFA2F7-B2D1-40AA-83D0-7AC27A3D05C0\bdewlktest.dll 
 
WexProperty 7/6/2012 1:14:14.004 PM TaefTestType WexValue Native 
 
WexProperty 7/6/2012 1:14:14.004 PM OriginalName WexValue BdeWlkTestBeforeRestart 
 
WexProperty 7/6/2012 1:14:14.004 PM OriginalName WexValue BdeWlkTestBeforeRestart::BdeWlkTDataVolumeTest 
 
End Test 7/6/2012 1:14:14.004 PM BdeWlkTestBeforeRestart::BdeWlkTDataVolumeTest 
Result:   Fail
Comment 1 Vadim Rozenfeld 2012-07-25 04:40:41 EDT
Hi Min,
Could you please attach the entire log file?

Thank you,
Vadim.
Comment 3 Mike Cao 2013-01-05 01:19:24 EST
After researching this job need to meet following requirement.
1.The Test must be run in a unique pci (virtio-scsi-pci or virtio-blk-pci)
1.The partition count is not more than three
2.Need to keep some unallocated size (eg: you data disk have 20GB size , format it as 10GB size)


So change step3 to format it as 1 partition w/ 4GB (and remain 4 GB unallocated size ) should make the job work

Note You need to log in before you can comment on or make changes to this bug.